### Enumeration

# Camel StoreDBCountKind

since: 3.58

#### Declaration

    enum Camel.StoreDBCountKind

#### Description [src]

Represents a kind of the count the `camel_store_db_count_messages()` is asked to calculate.

Available since: 3.58

#### Members

`CAMEL_STORE_DB_COUNT_KIND_TOTAL`

  All messages.

  - Value: `1`
  - Available since: 3.58
`CAMEL_STORE_DB_COUNT_KIND_UNREAD`

  Only unread and not deleted messages.

  - Value: `2`
  - Available since: 3.58
`CAMEL_STORE_DB_COUNT_KIND_JUNK`

  Only junk messages.

  - Value: `3`
  - Available since: 3.58
`CAMEL_STORE_DB_COUNT_KIND_DELETED`

  Only deleted messages.

  - Value: `4`
  - Available since: 3.58
`CAMEL_STORE_DB_COUNT_KIND_NOT_JUNK_NOT_DELETED`

  All except of junk and deleted messages.

  - Value: `5`
  - Available since: 3.58
`CAMEL_STORE_DB_COUNT_KIND_NOT_JUNK_NOT_DELETED_UNREAD`

  All unread, except of junk and deleted messages.

  - Value: `6`
  - Available since: 3.58
`CAMEL_STORE_DB_COUNT_KIND_JUNK_NOT_DELETED`

  Only junk messages, which are not deleted.

  - Value: `7`
  - Available since: 3.58